Installation of the Unity plugin

This page explains the process of installing the plugin into a Unity project, and how to test that the installation was successful.

System requirements

In order to use the Unity plugin, you will need the following:

  1. A computer running Microsoft Windows 10
  2. To be able to run the plugin at maximum performance, the plugin requires a CUDA capable graphics card

Installation

Create a new project or open an existing one. Install the plugin by simply dragging the provided deform_plugin.unitypackage into the Project window of the Unity editor. A window will show up, allowing you to select which parts of the plugin you would like to import. Make sure all files marked as "new" are selected, and press "Import".

You can also follow the Unity guide on how to import Asset packages here: Importing Asset packages

Verifying the installation

To verify that the installation was successful, try running the scenes under Deform Dynamics/Scenes. If you run into an issue, see the Troubleshooting page for solutions to the most common issues.

Quick start

Now that you have installed the Deform Plugin and verified that it is working, you can get started creating your own simulations. We recommend that you read the first tutorial on the tutorials page: Getting started